Team
Base URL: https://webvyze.com/api/v1 · click an endpoint for its scope, parameters, example and responses.
GET/teamTeam, access and history
Needs access to the site, when there is one.
- Scope
api:read- Responses
- 200401402403422429
curl -H "Authorization: Bearer $WEBVYZE_KEY" \ https://webvyze.com/api/v1/team
POST/team/invitesInvite someone
Needs a token with api:write. Needs the team.manage permission in the account.
- Scope
api:write- Responses
- 200401402403422429
curl -X POST -H "Authorization: Bearer $WEBVYZE_KEY" \
-H "Content-Type: application/json" -d '{}' \
https://webvyze.com/api/v1/team/invitesDELETE/team/invites/{invite}Cancel an invite
Needs a token with api:write. Needs the team.manage permission in the account.
- Scope
api:write- Path parameters
{invite} integer- Responses
- 200401402403422429
curl -X DELETE -H "Authorization: Bearer $WEBVYZE_KEY" \
-H "Content-Type: application/json" -d '{}' \
https://webvyze.com/api/v1/team/invites/{invite}PATCH/team/members/{user}Change role, sites and permissions of a member
Needs a token with api:write. Needs the team.manage permission in the account.
- Scope
api:write- Path parameters
{user} integer- Responses
- 200401402403422429
curl -X PATCH -H "Authorization: Bearer $WEBVYZE_KEY" \
-H "Content-Type: application/json" -d '{}' \
https://webvyze.com/api/v1/team/members/{user}DELETE/team/members/{user}Remove a member
Needs a token with api:write. Needs the team.manage permission in the account.
- Scope
api:write- Path parameters
{user} integer- Responses
- 200401402403422429
curl -X DELETE -H "Authorization: Bearer $WEBVYZE_KEY" \
-H "Content-Type: application/json" -d '{}' \
https://webvyze.com/api/v1/team/members/{user}PUT/team/two-factorTeam Twofactor
Needs a token with api:write. Needs access to the site, when there is one.
- Scope
api:write- Responses
- 200401402403422429
curl -X PUT -H "Authorization: Bearer $WEBVYZE_KEY" \
-H "Content-Type: application/json" -d '{}' \
https://webvyze.com/api/v1/team/two-factor